.global _start
.extern exit
.section .text
_start: 
    xor %ebp, %ebp

    mov (%esp), %eax
    lea 4(%esp), %ebx
    lea 8(%esp,%eax,4), %ecx

    and $-16, %esp

    push %ecx
    push %ebx
    push %eax

    call main

    push %eax
    call exit

